.site-form {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.site-form .form-group {
  width: 100%;
}

.site-form .btn {
  width: 100%;
}

.site-form__title {
  margin: 0 0 24px;
  text-align: center;
  font-weight: 700;
  font-size: 32px;
}

.site-form__subtitle {
  width: 100%;
}

.site-form__container-or {
  margin: 12px 0;
  width: 100%;
  display: flex;
  align-items: center;
  gap: 40px;
}

.site-form__container-or > div {
  width: 100%;
  height: 1px;
  background-color: var(--border-color-light);
}

.site-form__container-or > p {
  font-weight: 500;
  color: var(--border-color-dark);
}

.site-form__forms-group {
  width: 100%;
  margin-top: 44px;
  display: flex;
  justify-content: center;
  gap: 56px;
}

.site-form__container {
  width: 100%;
  max-width: 500px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 24px;
}

.site-form__form {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 16px;
}

.site-form__form > div {
  width: 100%;
}

.site-form__button {
  margin-top: 8px;
  width: 100%;
}

.site-form__container-forget {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.site-form__container-forget a {
  font-size: 14px;
  font-weight: 700;
}

.site-form .form-check {
  padding: 0;
  margin: 0;
}

.site-form__checkbox + .site-form__label {
  display: flex;
  align-items: center;
  gap: 8px;
}

.site-form__checkbox + .site-form__label::before {
  content: "";
  width: 24px;
  height: 24px;
  display: block;
  background-image: url("/images/site/login/unchecked.svg");
  cursor: pointer;
}

.site-form__checkbox:checked + .site-form__label::before {
  background-image: url("/images/site/login/checked.svg");
}

.site-form__text {
  width: 100%;
  font-size: 14px;
}

.site-form__text_semi-bold {
  font-weight: 600;
}

.site-form__link {
  font-weight: 700;
  font-size: inherit;
  text-decoration: underline;
}

.site-form__divider {
  width: 100%;
  height: 1px;
  background-color: var(--border-color-light);
}

.site-form__vertical-divider {
  width: 1px;
  background-color: var(--secondary-color);
}

@media (max-width: 768px) {
  .site-form__title {
    margin: 0 0 8px;
    font-size: 28px;
  }

  .site-form__forms-group {
    margin-top: 24px;
    flex-direction: column;
    gap: 40px;
  }

  .site-form__vertical-divider {
    width: 100%;
    height: 1px;
    background-color: var(--secondary-color);
  }
}
